"""
This module, loadable by the mod_snake_simple module provides a
demonstration about how to use the SnakeAccessChecker hook.  If, in the
configuration the directive: "SnakeVarSet ACCESS_VOODOO off" exists,
access will be denied.
"""

import mod_snake

def simple_block(per_dir, request_rec):
    if per_dir.has_key('ACCESS_VOODOO') and per_dir['ACCESS_VOODOO'] == 'off':
        return mod_snake.HTTP_FORBIDDEN

    if SnakeServerVars.has_key('ACCESS_VOODOO') and SnakeServerVars['ACCESS_VOODOO'] == 'off':
        return mod_snake.HTTP_FORBIDDEN
    
    return mod_snake.DECLINED
