/* ====================================================================
 * Copyright (c) 2001 Jon Travis.  All rights reserved.
 * See the file COPYING for information on usage and redistribution.
 * ====================================================================
 */

#ifndef MOD_SNAKE_BUF_DOT_H
#define MOD_SNAKE_BUF_DOT_H
#ifndef APACHE13
#include "util_filter.h"

typedef struct mod_snake_buf_st ModSnakeBuf;

extern ModSnakeBuf *mod_snake_buf_create(int bufsize);
extern void mod_snake_buf_append(ModSnakeBuf *buf, const char *data, int len);
extern int mod_snake_buf_size_left(ModSnakeBuf *buf);
extern apr_bucket *mod_snake_buf_bucketize(ModSnakeBuf *buf);
extern void mod_snake_buf_destroy(ModSnakeBuf *buf);

#endif
#endif
