/* ====================================================================
 * Copyright (c) 2001 Jon Travis.  All rights reserved.
 * See the file COPYING for information on usage and redistribution.
 * ====================================================================
 */

#ifndef SNAKE_PRECOMPILE_DOT_H
#define SNAKE_PRECOMPILE_DOT_H

#include <Python.h>

typedef struct {
  char *compdata;        /* .pyc code                    */
  int size;              /* size of the data in compdata */
} SnakePrecompiledPy;

extern PyObject *mod_snake_exec_precompile(char *, SnakePrecompiledPy *);

#endif
